XGETTEXT(1)

NAME
xgettext - extract translatable string from given input files

SYNOPSIS
xgettext [OPTION] INPUTFILE ...

DESCRIPTION
Mandatory arguments to long options are mandatory for short options too.

-a, --extract-all
    extract all strings

-c, --add-comments[=TAG]
    place comment block with TAG (or those preceding keyword lines) in output file

-C, --c++
    shorthand for --language=C++

--debug
    more detailed formatstring recognision result

-d, --default-domain=NAME
    use NAME.po for output (instead of messages.po)

-D, --directory=DIRECTORY
    add DIRECTORY to list for input files search

-e, --no-escape
    do not use C escapes in output (default)

-E, --escape
    use C escapes in output, no extended chars

-f, --files-from=FILE
    get list of input files from FILE

--force-po
    write PO file even if empty

--foreign-user
    omit FSF copyright in output for foreign user

-F, --sort-by-file
    sort output by file location

-h, --help
    display a help message and exit

-i, --indent
    write the .po file using indented style

-j, --join-existing
    join messages with existing file

-k, --keyword[=WORD]
    additonal keyword to be looked for (without WORD means not to use default keywords)

-L, --language=NAME
    recognise the specified language (C, C++, PO), otherwise is guessed from file extension

-m, --msgstr-prefix[=STRING]
    use STRING or "" as prefix for msgstr entries

-M, --msgstr-suffix[=STRING]
    use STRING or "" as suffix for msgstr entries

--no-location
    do not write '#: filename:line' lines

-n, --add-location
    generate '#: filename:line' lines (default)

--omit-header
    don't write header with `msgid ""' entry

-o, --output=FILE
    write output to specified file

-p, --output-dir=DIR
    output files will be placed in directory DIR

-s, --sort-output
    generate sorted output and remove duplicates

--strict
    write out strict Uniforum conforming .po file

-T, --trigraphs
    understand ANSI C trigraphs for input

-V, --version
    output version information and exit

-w, --width=NUMBER
    set output page width

-x, --exclude-file=FILE
    entries from FILE are not extracted

If INPUTFILE is -, standard input is read.

AUTHOR
Written by Ulrich Drepper.

REPORTING BUGS
Report bugs to <bug-gnu-utils@gnu.org>.

COPYRIGHT
Copyright © 1995-1998, 2000, 2001 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
gettext(1), msgmerge(1)

The full documentation for xgettext is maintained as a Texinfo manual. If the info and xgettext programs are properly installed at your site, the command info xgettext should give you access to the complete manual.

On Debian, the manual is also available in HTML format in the gettext-doc package.